package com.testor.module.environment.service;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.testor.module.environment.model.domain.TEnvironmentMonthly;
import com.testor.module.environment.model.dto.HomeEnvironment;
import com.testor.module.environment.model.dto.TEnvironmentMonthlyParam;
import com.tongtech.tfw.backend.common.biz.models.BaseResponse;
import com.tongtech.tfw.backend.common.models.supers.SuperService;

import java.util.List;

/**
 * 节能环保月报Service接口
 * 
 * @author testor-framework
 * @date 2022-10-25 15:29:35
 */
public interface TEnvironmentMonthlyService extends SuperService<TEnvironmentMonthly> {
    BaseResponse<List<HomeEnvironment>> getMonthHome(String orgId);

    TEnvironmentMonthly getListCount(TEnvironmentMonthlyParam queryParam);

    IPage<TEnvironmentMonthly> getListMonth(TEnvironmentMonthlyParam param, String orgId);

    BaseResponse<List<TEnvironmentMonthly>> getPastMonth();

    int updateUnit();

    TEnvironmentMonthly getTEnvironmentMonthlyById(String id);

    Page<TEnvironmentMonthly> getPage(Page<TEnvironmentMonthly> resultPage, QueryWrapper<TEnvironmentMonthly> queryWrapper);
}
